#ifdef GL_ES
precision highp float;
#endif 

uniform sampler2D tex0;

varying vec2 glFragCoord;
varying vec4 vColor;

const float blurSize = 1.0/400.0; // I've chosen this size because this will result in that every step will be one pixel wide if the RTScene texture is of size 512x512

void main() 
{
   vec4 sum = vec4(0.0);
 
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   sum += texture2D(tex0, vec2(glFragCoord.x - 4.0*blurSize, glFragCoord.y)) * 0.05;
   sum += texture2D(tex0, vec2(glFragCoord.x - 3.0*blurSize, glFragCoord.y)) * 0.09;
   sum += texture2D(tex0, vec2(glFragCoord.x - 2.0*blurSize, glFragCoord.y)) * 0.12;
   sum += texture2D(tex0, vec2(glFragCoord.x - blurSize, glFragCoord.y)) * 0.15;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y)) * 0.16;
   sum += texture2D(tex0, vec2(glFragCoord.x + blurSize, glFragCoord.y)) * 0.15;
   sum += texture2D(tex0, vec2(glFragCoord.x + 2.0*blurSize, glFragCoord.y)) * 0.12;
   sum += texture2D(tex0, vec2(glFragCoord.x + 3.0*blurSize, glFragCoord.y)) * 0.09;
   sum += texture2D(tex0, vec2(glFragCoord.x + 4.0*blurSize, glFragCoord.y)) * 0.05;
 
   gl_FragColor = sum;
}

