#ifdef GL_ES
precision highp float;
#endif 

uniform sampler2D tex0;

varying vec2 glFragCoord;
varying vec4 vColor;

const float blurSize = 1.0/240.0;

void main() 
{
   vec4 sum = vec4(0.0);
 
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y - 4.0*blurSize)) * 0.05;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y - 3.0*blurSize)) * 0.09;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y - 2.0*blurSize)) * 0.12;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y - blurSize)) * 0.15;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y)) * 0.16;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y + blurSize)) * 0.15;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y + 2.0*blurSize)) * 0.12;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y + 3.0*blurSize)) * 0.09;
   sum += texture2D(tex0, vec2(glFragCoord.x, glFragCoord.y + 4.0*blurSize)) * 0.05;
 
   gl_FragColor = sum;
}

